Summary:	Tools for Managing Linux CIFS Client Filesystems
Name:		cifs-utils
Version:	4.8.1
License:	GPLv3
Group:		Networking/Other
%define subrel 2
Release:	%mkrel 0
URL:		http://www.samba.org/linux-cifs/cifs-utils/
Source0:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2.asc
Patch0:		cifs-utils-4.8.1-CVE-2011-1678.diff
Patch1:		cifs-utils-4.8.1-CVE-2011-2724.diff
Patch2:		mount.cifs-fix-test-for-strtoul-failure-in-mount.cif.patch
Patch3:		cifs-utils-4.8.1-CVE-2012-1586.diff
#BuildRequires:	talloc-devel >= 4.0
BuildRequires:	pkgconfig(talloc)
BuildRequires:	keyutils-devel
BuildRequires:	krb5-devel
BuildRequires:	libcap-ng-devel
Suggests:	sudo nss_wins
Provides:	mount-cifs = %{version}
Obsoletes:	mount-cifs <= 4.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Tools for Managing Linux CIFS Client Filesystems.

%prep

%setup -q
%patch0 -p1 -b .CVE-2011-1678
%patch1 -p1 -b .CVE-2011-2724
%patch2 -p1 -b .fix-test-for-strtoul-failure-in-mount.cif
%patch3 -p1 -b .CVE-2012-1586

%build
%serverbuild
rm -rf autom4te.cache
%configure2_5x \
    --sbindir=/sbin

%make

%install
rm -rf %{buildroot}

%makeinstall_std
mkdir %{buildroot}/bin
ln -s ../sbin/mount.cifs %{buildroot}/bin/mount.cifs
# Hack for smb4k
ln -s umount %{buildroot}/bin/umount.cifs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README doc/linux-cifs-client-guide.odt
/sbin/cifs.upcall
/sbin/mount.cifs
/bin/mount.cifs
/bin/umount.cifs
%{_mandir}/man8/cifs.upcall.8*
%{_mandir}/man8/mount.cifs.8*



%changelog
* Fri May 04 2012 Oden Eriksson <oeriksson@mandriva.com> 4.8.1-0.2mdv2010.2
- P3: security fix for CVE-2012-1586 (upstream)

* Tue Oct 11 2011 Oden Eriksson <oeriksson@mandriva.com> 4.8.1-0.1mdv2010.2
- 4.8.1
- P0: security fix for CVE-2011-1678
- P1: security fix for CVE-2011-2724
- P2: fix test for strtoul failure in mount.cifs

* Tue May 18 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-2mdv2010.1
+ Revision: 545280
- Provide additional symlinks required if we are to replace mount-cifs
- Provide/obsolete mount-cifs (samba 3.5 packages allow this, 3.4 not currently)
- Suggest sudo (for use with e.g. smb4k) and nss_wins (to provide name resolution)

* Thu May 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-1mdv2010.1
+ Revision: 543019
- New version 4.4

* Wed Apr 14 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-2mdv2010.1
+ Revision: 534798
- BR cap-devel

* Tue Apr 13 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-1mdv2010.1
+ Revision: 534178
- update to new version 4.3

* Tue Apr 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.2-1mdv2010.1
+ Revision: 532128
- update to new version 4.2

* Thu Apr 01 2010 Buchan Milne <bgmilne@mandriva.org> 4.1-1mdv2010.1
+ Revision: 530603
- update to new version 4.1

* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.1
+ Revision: 518388
- fix deps (krb5-devel)
- import cifs-utils


* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.0
- initial Mandriva package
